/* Replace the CREATE DATABASE path argument with
the path and file you want to use for your
InterbaseStorage

$Id: InterbaseStorage.sql,v 1.1.1.1 2000/06/11 06:05:53 chrism Exp $
*/

CREATE DATABASE '/home/chrism/zope_storage.gdb';

create table zodb_data (
	z_oid		char(12) not null,
	z_serial	char(12) not null,
	z_pre		char(12) default '' not null,
	z_status	char(1) default '' not null,
	z_data		blob,
	z_datalen	integer default 0 not null,
	z_version	varchar(252) default '' not null,
	z_nv		char(12) default '' not null,
	z_dataserial	char(12) default '' not null,		
	primary key (z_oid, z_serial)
);
 
create table zodb_trans (
	z_serial	char(12) not null primary key,
	z_status	char(1) default '' not null,
	z_user		varchar(255) default '' not null,
	z_desc		varchar(255) default '' not null,
	z_ext		blob
);

create table zodb_pack (
       z_oid	       char(12) not null primary key,
       z_serial	       char(12) default '' not null
);

create index ix_serial on zodb_data (z_serial);
create index ix_oid on zodb_data (z_oid);
create index ix_pre on zodb_data (z_pre);
create index ix_nv on zodb_data (z_nv);
create index ix_dataserial on zodb_data (z_dataserial);
create index ix_status on zodb_data (z_status);
create index ix_serstat on zodb_data (z_serial, z_status);
create index ix_serds on zodb_data (z_serial, z_dataserial);










